## sdlip.helpers
Class FileUtils

    java.lang.Object
      |
      +--sdlip.helpers.FileUtils

public class FileUtils
extends java.lang.Object

Constructor Summary
`FileUtils()`

Method Summary
`static void` `copyCharStream(java.io.Reader in, java.io.Writer out)`
`static void` `copyCharStream(java.io.Reader in, java.io.Writer out, int bufsize)`
`static void` `copyStream(java.io.InputStream in, java.io.OutputStream out)`
`static void` `copyStream(java.io.InputStream in, java.io.OutputStream out, int bufsize)`
`static int` `copyStream(java.io.InputStream in, java.io.OutputStream out, int bufsize, int maxLen)`
`static void` `dumpCharStream(java.io.Reader in, int num)`
`static java.lang.String` `getTempName()`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtils

    public FileUtils()

Method Detail

### copyStream

    public static void copyStream(java.io.InputStream in,
                                  java.io.OutputStream out)
                           throws java.io.IOException

    `java.io.IOException`

### copyStream

    public static void copyStream(java.io.InputStream in,
                                  java.io.OutputStream out,
                                  int bufsize)
                           throws java.io.IOException

    `java.io.IOException`

### copyStream

    public static int copyStream(java.io.InputStream in,
                                 java.io.OutputStream out,
                                 int bufsize,
                                 int maxLen)
                          throws java.io.IOException

    `java.io.IOException`

### copyCharStream

    public static void copyCharStream(java.io.Reader in,
                                      java.io.Writer out)
                               throws java.io.IOException

    `java.io.IOException`

### copyCharStream

    public static void copyCharStream(java.io.Reader in,
                                      java.io.Writer out,
                                      int bufsize)
                               throws java.io.IOException

    `java.io.IOException`

### dumpCharStream

    public static void dumpCharStream(java.io.Reader in,
                                      int num)
                               throws java.io.IOException

    `java.io.IOException`

### getTempName

    public static java.lang.String getTempName()

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

    `java.lang.Exception`